Subject: Re: bug#14044: 24.2; Emacs 24 and dead keys in Fedora 18

From: Andreas Schwab <[email-masked]>
Date: Fri, 26 Apr 2013 10:58:22 +0200

Tassilo Horn <[email-masked]> writes:

> I also can't insert ` anymore, except with `M-x ucs-insert GRAVE ACCENT
> RET'.  Typing ` (which is AltGr+< on my German Dvorak layout) messages
> just
>
>   <dead-grave> is undefined

Your keyboard is misconfigured.  Your X server should have a compose
rule that composes the dead_grave keysym with the following key, so that
Emacs doesn't see the dead_grave keysym at all (provided the composition
was sucessful).  At the very least the sequence <dead_grave> <space>
or <dead_grave> <dead_grave> should produce the <grave> keysym.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."